Skip to content

Update device name or components using a patch

PUT
/api/devices/{id}

Parameters

Path Parameters

id*
Typeinteger
Required
formatint64

Request Body

application/json
JSON
{
"name": "string",
"switcherInput": "string",
"patch": {
"audioInput": {
"descriptor": {
"name": "string",
"hostApi": "string",
"channels": 0,
"hostApiIndex": 0
},
"channel": 0
},
"dummyInput": {
"descriptor": {
"name": "string"
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"mjpegInput": {
"descriptor": {
"ip": "string",
"type": "string",
"credentials": {
"username": "string",
"password": "string"
}
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"ndiInput": {
"descriptor": {
"name": "string"
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"webcamInput": {
"descriptor": {
"port": 0,
"frameWidth": 0,
"frameHeight": 0,
"fps": 0
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"personTracker": {
"trackingMode": "string",
"targetFaceId": 0
},
"presentationAnalyzer": {
},
"audioAnalyzer": {
},
"autoMoveDirector": {
"delaySeconds": 0,
"autoMoveVariant": "string",
"maxPanSpeed": 0,
"maxTiltSpeed": 0,
"maxZoomSpeed": 0,
"presetMoveMinDistanceDegrees": 0,
"presetMoveMaxDistanceDegrees": 0,
"presetRepeat": true,
"presetMoveSpeed": 0,
"presetFilterKey": "string"
},
"headTrackingDirector": {
"ruleOfThirds": true,
"sensitivity": 0,
"target": {
"x": 0,
"y": 0
},
"borderLimits": {
"rightBorder": 0,
"leftBorder": 0,
"topBorder": 0,
"bottomBorder": 0
},
"targetShotSize": "string",
"panicBehavior": "string",
"focusAssistEnabled": true,
"steadyRadius": 0,
"blockedAxes": {
"pan": true,
"tilt": true,
"zoom": true
}
},
"lectureDirector": {
"blackboardPresetIds": [
0
],
"stagePresetId": 0,
"trackingShotSize": 0,
"trackingSensitivity": 0,
"trackingSteadyRadius": 0,
"trackingTarget": {
"x": 0,
"y": 0
},
"timeTrackingSwitch": 0,
"timeSceneChange": 0,
"presetSpeed": 0,
"borderLimits": {
"rightBorder": 0,
"leftBorder": 0,
"topBorder": 0,
"bottomBorder": 0
}
},
"simulatedCropController": {
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"panasonicController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"focusAfterPositionChange": true
},
"canonController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"birdDogController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"sonyCGIController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"user": "string",
"pass": "string"
},
"sonyViscaController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"minFocalLength": 0,
"maxFocalLength": 0
},
"marshallViscaController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"unrealEngineController": {
"port": 0,
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"recorder": {
"fileName": "string"
},
"audienceAutoCut": {
},
"audioAutoCut": {
"reactToAudienceSounds": true,
"speakerPresets": [
0
],
"baseDecibels": 0
},
"presentationAutoCut": {
},
"speakerAutoCut": {
"pipInput": "string"
},
"stageAutoCut": {
}
},
"uninstall": true
}

Responses

OK
application/json
JSON
{
"id": 0,
"name": "string",
"switcherInput": "string",
"components": {
"audioInput": {
"descriptor": {
"name": "string",
"hostApi": "string",
"channels": 0,
"hostApiIndex": 0
},
"channel": 0
},
"dummyInput": {
"descriptor": {
"name": "string"
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"mjpegInput": {
"descriptor": {
"ip": "string",
"type": "string",
"credentials": {
"username": "string",
"password": "string"
}
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"ndiInput": {
"descriptor": {
"name": "string"
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"webcamInput": {
"descriptor": {
"port": 0,
"frameWidth": 0,
"frameHeight": 0,
"fps": 0
},
"crop": {
"x": 0,
"y": 0,
"width": 0,
"height": 0
}
},
"personTracker": {
"trackingMode": "string",
"targetFaceId": 0
},
"presentationAnalyzer": {
},
"audioAnalyzer": {
},
"autoMoveDirector": {
"delaySeconds": 0,
"autoMoveVariant": "string",
"maxPanSpeed": 0,
"maxTiltSpeed": 0,
"maxZoomSpeed": 0,
"presetMoveMinDistanceDegrees": 0,
"presetMoveMaxDistanceDegrees": 0,
"presetRepeat": true,
"presetMoveSpeed": 0,
"presetFilterKey": "string"
},
"headTrackingDirector": {
"ruleOfThirds": true,
"sensitivity": 0,
"target": {
"x": 0,
"y": 0
},
"borderLimits": {
"rightBorder": 0,
"leftBorder": 0,
"topBorder": 0,
"bottomBorder": 0
},
"targetShotSize": "string",
"panicBehavior": "string",
"focusAssistEnabled": true,
"steadyRadius": 0,
"blockedAxes": {
"pan": true,
"tilt": true,
"zoom": true
}
},
"lectureDirector": {
"blackboardPresetIds": [
0
],
"stagePresetId": 0,
"trackingShotSize": 0,
"trackingSensitivity": 0,
"trackingSteadyRadius": 0,
"trackingTarget": {
"x": 0,
"y": 0
},
"timeTrackingSwitch": 0,
"timeSceneChange": 0,
"presetSpeed": 0,
"borderLimits": {
"rightBorder": 0,
"leftBorder": 0,
"topBorder": 0,
"bottomBorder": 0
}
},
"simulatedCropController": {
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"panasonicController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"focusAfterPositionChange": true
},
"canonController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"birdDogController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"sonyCGIController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"user": "string",
"pass": "string"
},
"sonyViscaController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
},
"minFocalLength": 0,
"maxFocalLength": 0
},
"marshallViscaController": {
"host": "string",
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"unrealEngineController": {
"port": 0,
"home": {
"pan": 0,
"tilt": 0,
"fov": 0
}
},
"recorder": {
"fileName": "string"
},
"audienceAutoCut": {
},
"audioAutoCut": {
"reactToAudienceSounds": true,
"speakerPresets": [
0
],
"baseDecibels": 0
},
"presentationAutoCut": {
},
"speakerAutoCut": {
"pipInput": "string"
},
"stageAutoCut": {
}
},
"feedback": {
"additionalProperties": {
}
}
}

Samples

Powered by VitePress OpenAPI

MiruSuite - Your AI software assistant for automating PTZ cameras and live productions.
About - Privacy Policy